Bug 443042 - policykit authentication dialogs don't get raised
policykit authentication dialogs don't get raised
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 08:08 EDT by Erik van Pienbroek
Modified: 2009-07-14 13:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:09:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2008-04-18 08:08:39 EDT
Description of problem:

I'm using the latest rawhide build (april 18 2008).
When compiz is enabled and a policykit authentication dialog gets shown, it
doesn't get raised in some situations

Version-Release number of selected component (if applicable):
rawhide, april 18 2008
compiz-0.7.2-3.fc9.i386

How reproducible:
- Log in as a normal user in GNOME with a fresh profile
- Activate compiz by using system -> preferences -> look and feel -> desktop effects
- Go to places -> computer
- Double click on one of the drives or media
- A policykit dialog should get triggered (which responds like it should be)
- Cancel the policykit dialog by clicking the 'Cancel' button
- Double click again on one of the drives or media 
- A new policykit dialog gets shown, but it isn't raised. In this situation it
isn't possible to raise the policykit dialog or to click on other windows. The
only way to close the dialog is by using the ESC key or (if it can be seen) by
clicking on the buttons of the policykit dialog

Actual results:
See above

Expected results:
The policykit authentication dialog should be the top level dialog and receive
proper focus, just like it did on the first try

Additional info:
Comment 1 David Zeuthen 2008-04-18 10:52:33 EDT
FWIW, I'm pretty sure this is a window manager bug after talking to Havoc and
Matthias on #fedora-desktop. In a nutshell, the WM is too eager to implement
focus steal prevention (which we're trying to circumvent). It affects metacity
too. I haven't filed a bug yet but it should be pretty trivial to come up with a
minimal test case.
Comment 2 Bug Zapper 2008-05-14 05:37:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 20:14:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 13:09:17 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.